
From: Johannes Stezenbach <js@linuxtv.org>

fix for descrambling failure (Dominique Dumont, Manu Abraham)

Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/bt8xx/dst.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/media/dvb/bt8xx/dst.c~dvb-dst-fix-for-descrambling-failure drivers/media/dvb/bt8xx/dst.c
--- 25/drivers/media/dvb/bt8xx/dst.c~dvb-dst-fix-for-descrambling-failure	2005-05-09 18:01:32.000000000 -0700
+++ 25-akpm/drivers/media/dvb/bt8xx/dst.c	2005-05-09 18:01:32.000000000 -0700
@@ -198,7 +198,7 @@ int dst_wait_dst_ready(struct dst_state 
 				dprintk("%s: dst wait ready after %d\n", __FUNCTION__, i);
 			return 1;
 		}
-		msleep(35);
+		msleep(10);
 	}
 	if (verbose > 1)
 		dprintk("%s: dst wait NOT ready after %d\n", __FUNCTION__, i);
_
